# Deep Research (/zh/api-reference/v1-endpoint/deep-research)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1107 · updated: 2026-07-30 -->

Deep Research 端点可对任意主题进行 AI 驱动的深度研究与分析。您只需提供研究查询，Firecrawl 将自主探索全网、收集相关信息，并将结果整合为全面的洞察。

<Warning>
  这是旧版 v1 Deep Research API。对于新的研究代理，请使用当前的 [Deep Research use case](/zh/use-cases/deep-research)，它基于 Search 和 Scrape 构建。
</Warning>

在找状态端点？请查看 [Deep Research Status](/zh/api-reference/v1-endpoint/deep-research-get) 端点。

<div id="response-structure">
  ### 响应结构 [#响应结构]
</div>

响应包括：

* **activities**：研究活动列表，包含：
  * `type`：活动类型 ('search'，'extract'，'analyze'，'reasoning'，'synthesis'，'thought')
  * `status`：状态 ('processing'，'complete'，'error')
  * `message`：活动/发现的说明
  * `timestamp`：ISO 时间戳
  * `depth`：研究深度级别

* **sources**：被引用的 URL，包含：
  * `title`：来源标题
  * `description`：来源描述
  * `url`：来源 URL
  * `icon`：来源网站图标

* **finalAnalysis**：综合分析 (完成时提供)

* **status**：总体状态 ('processing'，'completed'，'failed')

* **currentDepth**：当前研究深度

* **maxDepth**：最大研究深度

* **totalUrls**：已分析的 URL 数量

* **expiresAt**：结果到期的 ISO 时间戳

<div id="limitations">
  ### 限制 [#限制]
</div>

1. 最适用于公开信息的主题
2. 研究任务最长为 10 分钟
3. 关键信息建议人工核验
4. Alpha 功能——方法论与输出可能会调整

<div id="billing">
  ### 计费 [#计费]
</div>

计费根据已分析的 URL 数量计算：

* 每个 URL = 1 个积分
* 使用 `maxUrls` 参数控制用量

`POST /deep-research`

针对查询启动深度研究操作

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "properties": {
            "analysisPrompt": {
              "description": "用于最终分析的提示词。可用于按特定方式格式化最终分析的 Markdown。",
              "type": "string"
            },
            "formats": {
              "default": [
                "markdown"
              ],
              "items": {
                "enum": [
                  "markdown",
                  "json"
                ],
                "type": "string"
              },
              "type": "array"
            },
            "jsonOptions": {
              "description": "JSON 输出选项",
              "properties": {
                "prompt": {
                  "description": "用于生成 JSON 输出的提示",
                  "type": "string"
                },
                "schema": {
                  "description": "用于 JSON 输出的模式定义。必须符合 [JSON Schema](https://json-schema.org/) 规范。",
                  "type": "object"
                },
                "systemPrompt": {
                  "description": "用于生成 JSON 输出的系统提示",
                  "type": "string"
                }
              },
              "type": "object"
            },
            "maxDepth": {
              "default": 7,
              "description": "研究迭代最大深度",
              "maximum": 12,
              "minimum": 1,
              "type": "integer"
            },
            "maxUrls": {
              "default": 20,
              "description": "要分析的 URL 数量上限",
              "maximum": 1000,
              "minimum": 1,
              "type": "integer"
            },
            "query": {
              "description": "需要研究的查询",
              "type": "string"
            },
            "systemPrompt": {
              "description": "供研究代理使用的系统提示词，可用于将其引导到特定的研究方向。",
              "type": "string"
            },
            "timeLimit": {
              "default": 300,
              "description": "时间限制（秒）",
              "maximum": 600,
              "minimum": 30,
              "type": "integer"
            }
          },
          "required": [
            "query"
          ],
          "type": "object"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "id": {
                "description": "研究任务的 ID",
                "format": "uuid",
                "type": "string"
              },
              "success": {
                "example": true,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "研究任务已成功开始"
    },
    "400": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Invalid parameters provided",
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "请求参数无效"
    }
  }
}
```
